{# Used to display one specific built building (with level, icon & tooltip) #}

{% trans_default_domain('City') %}

{% set buildingName = builtBuilding.building.name %}
{% set buildingLevel =  builtBuilding.level %}
<li
        data-building-name="{{ buildingName }}"
        data-building-level="{{ buildingLevel }}"
        onmouseover="showHint(this,
        '{{('buildings.'~buildingName~'.name') | trans }} {{'messages.lvl' | trans }} {{ buildingLevel }}','<p>{{('buildings.'~buildingName~'.desc') | trans }}</p>')"
        onmouseout="hideHint()"
>
    <h3>{{('buildings.'~buildingName~'.name') | trans }}</h3>
    <img src="{{ asset('/img/icons/b_'~buildingName~'.png') }}" alt="{{ buildingName }}.png" class="building" />
    {% if buildingLevel > 1 %}
        <img src="{{ asset('/img/level'~buildingLevel~'.png') }}" alt="level_{{ buildingLevel }}.png" class="level">
    {% endif %}
</li>
